|  | linematcher.h File Reference updated Wed Apr 10 2024 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
linematcher.h File Reference

a matcher engine to match lines and nothing else More...

`#include <reflex/absmatcher.h>`
Include dependency graph for linematcher.h:

## Classes

class | reflex::LineMatcher
| Line matcher engine class implements reflex::PatternMatcher pattern matching interface with scan, find, split functors and iterators for matching lines only, use option 'A' to include newline with FIND, option 'N' to also FIND empty lines and option 'W' to only FIND empty lines. More...

## Namespaces

| reflex

## Detailed Description

a matcher engine to match lines and nothing else

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2023, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt